Index: palm/trunk/UTIL/inifor/Makefile
===================================================================
--- palm/trunk/UTIL/inifor/Makefile	(revision 4019)
+++ palm/trunk/UTIL/inifor/Makefile	(revision 4074)
@@ -57,5 +57,5 @@
 PROJECT = inifor
 PROJECT_PATH = .
-BIN_PATH  = $(PROJECT_PATH)/../../SCRIPTS
+BIN_PATH  = $(PROJECT_PATH)/bin
 SRC_PATH  = $(PROJECT_PATH)/src
 TEST_PATH = $(PROJECT_PATH)/tests
Index: palm/trunk/UTIL/inifor/src/inifor_defs.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/inifor_defs.f90	(revision 4019)
+++ palm/trunk/UTIL/inifor/src/inifor_defs.f90	(revision 4074)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Bumped version number
+! 
+! 
+! 4019 2019-06-06 14:00:35Z eckhard
 ! Bumped version number
 ! 
@@ -180,5 +184,5 @@
     ACHAR( 10 ) // ' Copyright 2017-2019 Deutscher Wetterdienst Offenbach' !< Copyright notice
  CHARACTER(LEN=*), PARAMETER ::  LOG_FILE_NAME = 'inifor.log' !< Name of INIFOR's log file
- CHARACTER(LEN=*), PARAMETER ::  VERSION = '1.4.10'           !< INIFOR version number
+ CHARACTER(LEN=*), PARAMETER ::  VERSION = '1.4.11'           !< INIFOR version number
  
  END MODULE inifor_defs
Index: palm/trunk/UTIL/inifor/src/inifor_grid.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/inifor_grid.f90	(revision 4019)
+++ palm/trunk/UTIL/inifor/src/inifor_grid.f90	(revision 4074)
@@ -26,4 +26,9 @@
 ! -----------------
 ! $Id$
+! Changed default initialization mode from 'volume' to 'profile'
+! Pass hhl_file to cosmo_grid() instead of entire INIFOR configuration
+! 
+! 
+! 4019 2019-06-06 14:00:35Z eckhard
 ! bugfix: Replaced z_top array literal with array, fixes wrong z_top height with gfortran -O2/-O3
 ! 
@@ -386,5 +391,5 @@
 
 !
-!-- Defaultmain centre (_c) of the PALM-4U grid in the geographical system (_g)
+!-- Default coordinates of the PALM origin in the geographical reference system
     origin_lat = 52.325079_wp * TO_RADIANS ! south-west of Berlin, origin used for the Dec 2017 showcase simulation
     origin_lon = 13.082744_wp * TO_RADIANS
@@ -433,5 +438,5 @@
     cfg%static_driver_file = ''
     cfg%output_file = './palm-4u-input.nc'
-    cfg%ic_mode = 'volume'
+    cfg%ic_mode = 'profile'
     cfg%bc_mode = 'real'
     cfg%averaging_mode = 'level'
@@ -584,9 +589,9 @@
     CALL log_runtime('time', 'read')
 
-    CALL get_cosmo_grid( cfg, soil_files(1), rlon, rlat, hhl, hfl, depths,  &
-                         d_depth, d_depth_rho_inv, phi_n, lambda_n,         &
-                         phi_equat,                                         &
-                         lonmin_cosmo, lonmax_cosmo,                        &
-                         latmin_cosmo, latmax_cosmo,                        &
+    CALL get_cosmo_grid( cfg % hhl_file, soil_files(1), rlon, rlat, hhl, hfl,  &
+                         depths, d_depth, d_depth_rho_inv, phi_n, lambda_n,    &
+                         phi_equat,                                            &
+                         lonmin_cosmo, lonmax_cosmo,                           &
+                         latmin_cosmo, latmax_cosmo,                           &
                          nlon, nlat, nlev, ndepths )
 
Index: palm/trunk/UTIL/inifor/src/inifor_io.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/inifor_io.f90	(revision 4019)
+++ palm/trunk/UTIL/inifor/src/inifor_io.f90	(revision 4074)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Pass hhl_file directly instead of entire INIFOR configuration
+! 
+! 
+! 3997 2019-05-23 12:35:57Z eckhard
 ! Added boolean indicator for --elevation option invocation
 ! Stop INIFOR if no command-line options given
@@ -759,5 +763,5 @@
 
 
- SUBROUTINE get_cosmo_grid( cfg, soil_file, rlon, rlat, hhl, hfl, depths, &
+ SUBROUTINE get_cosmo_grid( hhl_file, soil_file, rlon, rlat, hhl, hfl, depths, &
                             d_depth, d_depth_rho_inv, phi_n, lambda_n,       &
                             phi_equat,                                       &
@@ -766,6 +770,6 @@
                             nlon, nlat, nlev, ndepths )
 
-    TYPE(inifor_config), INTENT(IN)                      ::  cfg
-    CHARACTER(LEN=PATH), INTENT(IN)                      ::  soil_file !< list of soil input files (temperature, moisture, <prefix>YYYYMMDDHH-soil.nc)
+    CHARACTER(LEN=PATH), INTENT(IN)                      ::  hhl_file  !< path to file containing the HHL variable (height of half layers)
+    CHARACTER(LEN=PATH), INTENT(IN)                      ::  soil_file !< path to one of the soil input files for reading soil layer depths
     REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(OUT)     ::  rlon      !< longitudes of COSMO-DE's rotated-pole grid
     REAL(wp), DIMENSION(:), ALLOCATABLE, INTENT(OUT)     ::  rlat      !< latitudes of COSMO-DE's rotated-pole grid
@@ -790,7 +794,7 @@
 !-- Read in COSMO's heights of half layers (vertical cell faces)
     cosmo_var%name = NC_HHL_NAME
-    CALL get_netcdf_variable( cfg%hhl_file, cosmo_var, hhl )
-    CALL get_netcdf_dim_vector( cfg%hhl_file, NC_RLON_NAME, rlon )
-    CALL get_netcdf_dim_vector( cfg%hhl_file, NC_RLAT_NAME, rlat )
+    CALL get_netcdf_variable( hhl_file, cosmo_var, hhl )
+    CALL get_netcdf_dim_vector( hhl_file, NC_RLON_NAME, rlon )
+    CALL get_netcdf_dim_vector( hhl_file, NC_RLAT_NAME, rlat )
     CALL get_netcdf_dim_vector( soil_file, NC_DEPTH_NAME, depths)
     CALL log_runtime( 'time', 'read' )
@@ -820,10 +824,10 @@
 !-- COSMO rotated pole coordinates
     phi_n = TO_RADIANS                                                       &
-          * get_netcdf_variable_attribute( cfg%hhl_file,                   &
+          * get_netcdf_variable_attribute( hhl_file,                         &
                                            NC_ROTATED_POLE_NAME,             &
                                            NC_POLE_LATITUDE_NAME )
 
     lambda_n = TO_RADIANS                                                    &
-             * get_netcdf_variable_attribute( cfg%hhl_file,                &
+             * get_netcdf_variable_attribute( hhl_file,                      &
                                               NC_ROTATED_POLE_NAME,          &
                                               NC_POLE_LONGITUDE_NAME )