Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4071)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4077)
@@ -28,4 +28,8 @@
 ! -----------------
 ! $Id$
+! Set roughness length z0 and z0h/q at ground-floor level to same value as
+! those above ground-floor level
+! 
+! 4051 2019-06-24 13:58:30Z suehring
 ! Remove work-around for green surface fraction on buildings 
 ! (do not set it zero) 
@@ -8963,6 +8967,6 @@
            0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
            0.75_wp,        &  !< parameter 35  - window transmissivity ground floor level
-           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
-           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           0.001_wp,       &  !< parameter 36  - z0 roughness ground floor level
+           0.0001_wp,      &  !< parameter 37  - z0h/z0q roughness heat/humidity
            27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
            5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
@@ -9100,6 +9104,6 @@
            0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
            0.7_wp,         &  !< parameter 35  - window transmissivity ground floor level
-           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
-           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           0.001_wp,       &  !< parameter 36  - z0 roughness ground floor level
+           0.0001_wp,      &  !< parameter 37  - z0h/z0q roughness heat/humidity
            27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
            5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
@@ -9237,6 +9241,6 @@
            0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
            0.6_wp,         &  !< parameter 35  - window transmissivity ground floor level
-           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
-           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           0.001_wp,       &  !< parameter 36  - z0 roughness ground floor level
+           0.0001_wp,      &  !< parameter 37  - z0h/z0q roughness heat/humidity
            27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
            5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
@@ -9374,6 +9378,6 @@
            0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
            0.75_wp,        &  !< parameter 35  - window transmissivity ground floor level
-           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
-           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           0.001_wp,       &  !< parameter 36  - z0 roughness ground floor level
+           0.0001_wp,      &  !< parameter 37  - z0h/z0q roughness heat/humidity
            27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
            5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
@@ -9511,6 +9515,6 @@
            0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
            0.7_wp,         &  !< parameter 35  - window transmissivity ground floor level
-           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
-           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           0.001_wp,       &  !< parameter 36  - z0 roughness ground floor level
+           0.0001_wp,      &  !< parameter 37  - z0h/z0q roughness heat/humidity
            27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
            5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
@@ -9648,6 +9652,6 @@
            0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
            0.6_wp,         &  !< parameter 35  - window transmissivity ground floor level
-           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
-           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           0.001_wp,       &  !< parameter 36  - z0 roughness ground floor level
+           0.0001_wp,      &  !< parameter 37  - z0h/z0q roughness heat/humidity
            27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
            5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
@@ -9785,6 +9789,6 @@
            0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
            0.6_wp,         &  !< parameter 35  - window transmissivity ground floor level
-           0.01_wp,        &  !< parameter 36  - z0 roughness ground floor level
-           0.001_wp,       &  !< parameter 37  - z0h/z0q roughness heat/humidity
+           0.001_wp,       &  !< parameter 36  - z0 roughness ground floor level
+           0.0001_wp,      &  !< parameter 37  - z0h/z0q roughness heat/humidity
            27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
            5.0_wp,         &  !< parameter 39  - green albedo above ground floor level