Index: /palm/trunk/LIB/rrtmg/install_rrtmg
===================================================================
--- /palm/trunk/LIB/rrtmg/install_rrtmg	(revision 4082)
+++ /palm/trunk/LIB/rrtmg/install_rrtmg	(revision 4083)
@@ -1,3 +1,3 @@
-#!/bin/ksh 
+#!/bin/ksh
 
 # install_rrtmg - install script for creating a RRTMG library
@@ -22,6 +22,6 @@
 # Current revisions:
 # ------------------
-# 
-# 
+#
+#
 # Former revisions:
 # -----------------
@@ -30,8 +30,8 @@
 # 1613 2015-07-08 14:53:29Z maronga
 # Bugfix: compilation of shared library fails due to misplaced rm command
-# 
+#
 # 1585 2015-04-30 07:05:52Z maronga
 # Initial revision
-# 
+#
 #--------------------------------------------------------------------------------#
 # install_rrtmg - install script for creating a RRTMG library
@@ -53,11 +53,4 @@
 #
 
-
-%cpp_options         -cpp -D__parallel -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__fftw -D__netcdf -D__netcdf4 -D__netcdf4_parallel
-%make_options        -j 4
-%compiler_options    -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.7/mvapich2-2.3rc1/gnu/include/ -I /muksoft/packages/netcdf4_hdf5parallel/4411c_443f/hdf5-1.10.0-patch1/mvapich2-2.3rc1/intel/2018.1.163/include/
-%linker_options      -parallel -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -L/muksoft/packages/fftw/3.3.7/mvapich2-2.3rc1/gnu/lib64/ -lfftw3 -L/muksoft/packages/netcdf4_hdf5parallel/4411c_443f/hdf5-1.10.0-patch1/mvapich2-2.3rc1/intel/2018.1.163/lib64/ -lnetcdf -lnetcdff
-
-
  compiler_name="mpif90"
  fopts="-cpp -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.7/mvapich2-2.3rc1/gnu/include/ -I /muksoft/packages/netcdf4_hdf5parallel/4411c_443f/hdf5-1.10.0-patch1/mvapich2-2.3rc1/intel/2018.1.163/include/"
@@ -73,5 +66,5 @@
    case  $option  in
        (p)   install_path=$OPTARG;;
- 
+
        (\?)  printf "\n  +++ unknown option $OPTARG \n"
              printf "\n  --> type \"$0 ?\" for available options \n"
@@ -199,5 +192,4 @@
  fi
 
- printf "\n      Libraries $prog are installed in \"$install_path\".\n\n" 
+ printf "\n      Libraries $prog are installed in \"$install_path\".\n\n"
  printf "\n\n  *** all actions complete."
- 
Index: /palm/trunk/SCRIPTS/.palm.config.atosg
===================================================================
--- /palm/trunk/SCRIPTS/.palm.config.atosg	(revision 4082)
+++ /palm/trunk/SCRIPTS/.palm.config.atosg	(revision 4083)
@@ -24,7 +24,7 @@
 %cpp_options         -cpp -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__lc -D__parallel -D__netcdf -D__netcdf4 -D__netcdf4_parallel -D__intel_compiler -D__fftw
 %make_options        -j 4
-%compiler_options    -fpe0 -O3 -fp-model source -ftz -xCORE-AVX512 -no-prec-div -no-prec-sqrt -ip -convert little_endian   -I /sw/dataformats/netcdf/4.6.3/skl/intel.18_mpi/include -I /home/bekklaus/opt/fftw3_intel18/include
+%compiler_options    -fpe0 -O3 -fp-model source -ftz -xCORE-AVX512 -no-prec-div -no-prec-sqrt -ip -convert little_endian -I /sw/dataformats/netcdf/4.6.3/skl/intel.18_mpi/include -I /home/bekklaus/opt/fftw3_intel18/include
 %linker_options      -Wl,-rpath=\\$LD_RUN_PATH \\`nf-config --flibs\\` -L/home/bekklaus/opt/fftw3_intel18/lib -lfftw3
-%module_commands     module use /sw/modules/HLRN; module load HLRNENV sw.skl slurm intel impi netcdf/4.6.3_intel.18_mpi
+%module_commands     module use /sw/modules/HLRN; module load HLRNenv sw.skl slurm intel impi netcdf/4.6.3_intel.18_mpi
 %execute_command     srun --propagate=STACK --kill-on-bad-exit -n {{mpi_tasks}} -N {{nodes}} --ntasks-per-node={{tasks_per_node}}  palm
 %execute_command_for_combine   srun --propagate=STACK -n 1 --ntasks-per-node=1  combine_plot_fields.x
@@ -32,8 +32,8 @@
 
 # BATCH-directives to be used for batch jobs. If $-characters are required, hide them with 3 backslashes
-BD:#!/bin/bash 
+BD:#!/bin/bash
 BD:#SBATCH --job-name={{job_id}}
 BD:#SBATCH --time={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
-BD:#SBATCH --ntasks={{mpi_tasks}} 
+BD:#SBATCH --ntasks={{mpi_tasks}}
 BD:#SBATCH --nodes={{nodes}}
 BD:#SBATCH --ntasks-per-node={{tasks_per_node}}
@@ -47,5 +47,5 @@
 BDT:#SBATCH --job-name=job_transfer
 BDT:#SBATCH --time=00:30:00
-BDT:#SBATCH --ntasks=1 
+BDT:#SBATCH --ntasks=1
 BDT:#SBATCH --nodes=1
 BDT:#SBATCH --ntasks-per-node=1
@@ -55,5 +55,5 @@
 
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 # my settings
@@ -61,5 +61,5 @@
 IC:export I_MPI_PMI_LIBRARY=libpmi.so
 IC:export I_MPI_FABRICS=shm:ofi
-IC:export I_MPI_OFI_PROVIDER=psm2 
+IC:export I_MPI_OFI_PROVIDER=psm2
 IC:module list
 
Index: /palm/trunk/SCRIPTS/.palm.config.atosg_debug
===================================================================
--- /palm/trunk/SCRIPTS/.palm.config.atosg_debug	(revision 4082)
+++ /palm/trunk/SCRIPTS/.palm.config.atosg_debug	(revision 4083)
@@ -24,7 +24,7 @@
 %cpp_options         -cpp -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__lc -D__parallel -D__netcdf -D__netcdf4 -D__netcdf4_parallel -D__intel_compiler -D__fftw
 %make_options        -j 4
-%compiler_options    -fpe0 -check -check nooutput_conversion -traceback -g -O0 -align all -ftz -xCORE-AVX512 -no-prec-div -no-prec-sqrt -ip -convert little_endian   -I /home/bekklaus/opt/NetCDF_parallel_intel18/include  -I /home/bekklaus/opt/fftw3_intel18/include
-%linker_options      -L/home/bekklaus/opt/NetCDF_parallel_intel18/lib -lnetcdff -Wl,-rpath=/home/bekklaus/opt/NetCDF_parallel_intel18/lib -L/home/bekklaus/opt/fftw3_intel18/lib -lfftw3
-%module_commands     module load slurm intel/compiler/64/2018/18.0.3
+%compiler_options    -fpe0 -check -check nooutput_conversion -traceback -g -O0 -align all -ftz -xCORE-AVX512 -no-prec-div -no-prec-sqrt -ip -convert little_endian -I /sw/dataformats/netcdf/4.6.3/skl/intel.18_mpi/include -I /home/bekklaus/opt/fftw3_intel18/include
+%linker_options      -Wl,-rpath=\\$LD_RUN_PATH \\`nf-config --flibs\\` -L/home/bekklaus/opt/fftw3_intel18/lib -lfftw3
+%module_commands     module use /sw/modules/HLRN; module load HLRNenv sw.skl slurm intel impi netcdf/4.6.3_intel.18_mpi
 %execute_command     srun --propagate=STACK --kill-on-bad-exit -n {{mpi_tasks}} -N {{nodes}} --ntasks-per-node={{tasks_per_node}}  palm
 %execute_command_for_combine   srun --propagate=STACK -n 1 --ntasks-per-node=1  combine_plot_fields.x
@@ -32,8 +32,8 @@
 
 # BATCH-directives to be used for batch jobs. If $-characters are required, hide them with 3 backslashes
-BD:#!/bin/bash 
+BD:#!/bin/bash
 BD:#SBATCH --job-name={{job_id}}
 BD:#SBATCH --time={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
-BD:#SBATCH --ntasks={{mpi_tasks}} 
+BD:#SBATCH --ntasks={{mpi_tasks}}
 BD:#SBATCH --nodes={{nodes}}
 BD:#SBATCH --ntasks-per-node={{tasks_per_node}}
@@ -47,5 +47,5 @@
 BDT:#SBATCH --job-name=job_transfer
 BDT:#SBATCH --time=00:30:00
-BDT:#SBATCH --ntasks=1 
+BDT:#SBATCH --ntasks=1
 BDT:#SBATCH --nodes=1
 BDT:#SBATCH --ntasks-per-node=1
@@ -55,5 +55,5 @@
 
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 # my settings
@@ -61,5 +61,5 @@
 IC:export I_MPI_PMI_LIBRARY=libpmi.so
 IC:export I_MPI_FABRICS=shm:ofi
-IC:export I_MPI_OFI_PROVIDER=psm2 
+IC:export I_MPI_OFI_PROVIDER=psm2
 IC:module list
 