Index: palm/trunk/TESTS/cases/urban_environment/MONITORING/urban_environment_rc
===================================================================
--- palm/trunk/TESTS/cases/urban_environment/MONITORING/urban_environment_rc	(revision 4077)
+++ palm/trunk/TESTS/cases/urban_environment/MONITORING/urban_environment_rc	(revision 4085)
@@ -1,9 +1,9 @@
 
  ******************************    --------------------------------------------
- * PALM 6.0  Rev: 4076M       *    atmosphere - run without 1D - prerun
+ * PALM 6.0  Rev: 4082M       *    atmosphere - run without 1D - prerun
  ******************************    --------------------------------------------
 
- Date:               2019-07-09    Run:       urban_environment__gfortran_defaul
- Time:                 14:18:53    Run-No.:   00
+ Date:               2019-07-10    Run:       urban_environment__gfortran_defaul
+ Time:                 17:38:31    Run-No.:   00
  Run on host:        gfortran_d
  Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
@@ -356,5 +356,5 @@
   0      9 00:00:06.82   0.7580A  -2.3738  -1.3772   0.8161  0.080  0.25  -0.913E+00     18.  0.137E+01  0.146E-01  0.760E-03  0.196E-03   60  16   9   11  14   0   20  17   0    0.000    0.000       0
   0     10 00:00:07.58   0.7580A  -2.3739  -1.3551   0.8090  0.079  0.25  -0.914E+00     18.  0.137E+01  0.149E-01  0.761E-03  0.196E-03   60  15   8   11  14   0   20  17   0    0.000    0.000       0
-  0     11 00:00:08.33   0.7580A  -2.3739  -1.3370   0.8029  0.079  0.25  -0.914E+00     18.  0.137E+01  0.153E-01  0.764E-03  0.196E-03   60  15   7   11  14   0   20  17   0    0.000    0.000       0
+  0     11 00:00:08.33   0.7580A  -2.3739  -1.3370   0.8029  0.079  0.25  -0.915E+00     18.  0.137E+01  0.153E-01  0.764E-03  0.196E-03   60  15   7   11  14   0   20  17   0    0.000    0.000       0
   0     12 00:00:09.09   0.7580A  -2.3740  -1.3232   0.7984  0.078  0.26  -0.916E+00     18.  0.136E+01  0.156E-01  0.768E-03  0.195E-03   60  15   6   16  14   0   20  17   0    0.000    0.000       0
   0     13 00:00:09.85   0.7580A  -2.3741  -1.3182   0.7956  0.078  0.26  -0.917E+00     18.  0.136E+01  0.160E-01  0.773E-03  0.195E-03   60  14   6   16  14   0   20  17   0    0.000    0.000       0
@@ -362,5 +362,5 @@
   0     15 00:00:11.37   0.7580A  -2.3743  -1.2976   0.7936  0.077  0.26  -0.922E+00     18.  0.136E+01  0.168E-01  0.783E-03  0.194E-03   60  13   4   16  14   0   20  17   0    0.000    0.000       0
   0     16 00:00:12.12   0.7580A  -2.3743  -1.2822   0.8042  0.076  0.27  -0.921E+00     18.  0.136E+01  0.172E-01  0.786E-03  0.193E-03   60  13   3   16  14   0   11  14  18    0.000    0.000       0
-  0     17 00:00:12.88   0.7580A  -2.3744  -1.2633   0.8294  0.076  0.27  -0.918E+00     18.  0.136E+01  0.176E-01  0.788E-03  0.192E-03   60  12   2   16  14   0   11  14  18    0.000    0.000       0
+  0     17 00:00:12.88   0.7580A  -2.3744  -1.2633   0.8294  0.076  0.27  -0.919E+00     18.  0.136E+01  0.176E-01  0.788E-03  0.192E-03   60  12   2   16  14   0   11  14  18    0.000    0.000       0
   0     18 00:00:13.64   0.7580A  -2.3745  -1.2574   0.8604  0.076  0.27  -0.917E+00     18.  0.136E+01  0.180E-01  0.792E-03  0.191E-03   60  12   1   11  14   0   10  14  18    0.000    0.000       0
   0     19 00:00:14.40   0.7580A  -2.3746  -1.2531   0.8936  0.075  0.27  -0.915E+00     18.  0.136E+01  0.184E-01  0.796E-03  0.190E-03   60  12   1   11  14   0   10  14  18    0.000    0.000       0
@@ -368,5 +368,5 @@
   0     21 00:00:15.91   0.7580A  -2.3747  -1.2472   0.9531  0.075  0.28  -0.914E+00     18.  0.136E+01  0.192E-01  0.802E-03  0.187E-03   60  11  19   11  14   0   10  14  18    0.000    0.000       0
   0     22 00:00:16.67   0.7580A  -2.3748  -1.2453   0.9762  0.074  0.40  -0.913E+00     40.  0.136E+01  0.196E-01  0.806E-03  0.185E-03   60  11  18   11  14   0   10  14  18    0.000    0.000       0
-  0     23 00:00:17.43   0.7580A  -2.3749  -1.2439   0.9936  0.074  0.40  -0.912E+00     40.  0.136E+01  0.200E-01  0.809E-03  0.184E-03   60  10  17   11  14   0   10  14  18    0.000    0.000       0
+  0     23 00:00:17.43   0.7580A  -2.3749  -1.2439   0.9937  0.074  0.40  -0.912E+00     40.  0.136E+01  0.200E-01  0.809E-03  0.184E-03   60  10  17   11  14   0   10  14  18    0.000    0.000       0
   0     24 00:00:18.19   0.7580A  -2.3749  -1.2430   1.0055  0.074  0.40  -0.911E+00     40.  0.136E+01  0.205E-01  0.812E-03  0.182E-03   60  10  16   11  14   0   10  14  18    0.000    0.000       0
   0     25 00:00:18.95   0.7580A  -2.3750  -1.2425   1.0123  0.073  0.41  -0.911E+00     40.  0.136E+01  0.209E-01  0.815E-03  0.181E-03   60  10  16   11  14   0   10  14  18    0.000    0.000       0
@@ -382,17 +382,17 @@
   0     35 00:00:26.53   0.7580A  -2.3758  -1.2403   1.0107  0.071  0.44  -0.908E+00     40.  0.136E+01  0.252E-01  0.856E-03  0.172E-03   60   7   7   11  14   0   11  14  17    0.000    0.000       0
   0     36 00:00:27.28   0.7580A  -2.3759  -1.2388   1.0283  0.071  0.44  -0.908E+00     40.  0.136E+01  0.256E-01  0.860E-03  0.171E-03   60   6   6   11  14   0   11  14  17    0.000    0.000       0
-  0     37 00:00:28.04   0.7580A  -2.3759  -1.2364   1.0443  0.071  0.44  -0.907E+00     40.  0.136E+01  0.261E-01  0.863E-03  0.171E-03   60   6   5   11  14   0   11  14  17    0.000    0.000       0
-  0     38 00:00:28.80   0.7580A  -2.3760  -1.2328   1.0568  0.071  0.45  -0.907E+00     40.  0.136E+01  0.265E-01  0.867E-03  0.170E-03   60   6   5   11  14   0   11  14  17    0.000    0.000       0
+  0     37 00:00:28.04   0.7580A  -2.3759  -1.2364   1.0443  0.071  0.44  -0.908E+00     40.  0.136E+01  0.261E-01  0.863E-03  0.171E-03   60   6   5   11  14   0   11  14  17    0.000    0.000       0
+  0     38 00:00:28.80   0.7580A  -2.3760  -1.2328   1.0568  0.071  0.45  -0.908E+00     40.  0.136E+01  0.265E-01  0.867E-03  0.170E-03   60   6   5   11  14   0   11  14  17    0.000    0.000       0
   0     39 00:00:29.56   0.7580A  -2.3761  -1.2280   1.0647  0.070  0.45  -0.908E+00     40.  0.136E+01  0.269E-01  0.871E-03  0.169E-03   60   5   3   11  14   0   11  14  17    0.000    0.000       0
   0     40 00:00:30.32   0.7580A  -2.3762  -1.2218   1.0674  0.070  0.45  -0.908E+00     40.  0.136E+01  0.274E-01  0.874E-03  0.169E-03   60   5   3   11  14   0   11  14  17    0.000    0.000       0
   0     41 00:00:31.07   0.7580A  -2.3762  -1.2204   1.0649  0.070  0.46  -0.908E+00     40.  0.136E+01  0.278E-01  0.878E-03  0.168E-03   60   5   2   11  13   0   11  14  17    0.000    0.000       0
   0     42 00:00:31.83   0.7570A  -2.3763  -1.2190   1.0762  0.070  0.46  -0.908E+00     40.  0.136E+01  0.283E-01  0.882E-03  0.168E-03   60   4   1   11  13   0   12  14  16    0.000    0.000       0
-  0     43 00:00:32.59   0.7570A  -2.3764  -1.2156   1.0984  0.070  0.46  -0.908E+00     40.  0.136E+01  0.287E-01  0.885E-03  0.168E-03   60   4   0   11  13   0   12  14  16    0.000    0.000       0
+  0     43 00:00:32.59   0.7570A  -2.3764  -1.2156   1.0984  0.070  0.46  -0.909E+00     40.  0.136E+01  0.287E-01  0.885E-03  0.168E-03   60   4   0   11  13   0   12  14  16    0.000    0.000       0
   0     44 00:00:33.35   0.7570A  -2.3765  -1.2102   1.1184  0.070  0.47  -0.909E+00     40.  0.136E+01  0.292E-01  0.891E-03  0.168E-03   60   4  19   11  13   0   12  14  16    0.000    0.000       0
   0     45 00:00:34.10   0.7570A  -2.3765  -1.2026   1.1342  0.070  0.47  -0.910E+00     40.  0.136E+01  0.296E-01  0.896E-03  0.168E-03   60   3  18   11  13   0   12  14  16    0.000    0.000       0
-  0     46 00:00:34.86   0.7570A  -2.3766  -1.1928   1.1438  0.070  0.47  -0.910E+00     40.  0.136E+01  0.301E-01  0.903E-03  0.168E-03   60   3  17   11  13   0   12  14  16    0.000    0.000       0
+  0     46 00:00:34.86   0.7570A  -2.3766  -1.1928   1.1438  0.070  0.47  -0.911E+00     40.  0.136E+01  0.301E-01  0.903E-03  0.168E-03   60   3  17   11  13   0   12  14  16    0.000    0.000       0
   0     47 00:00:35.62   0.7570A  -2.3767  -1.1810   1.1535  0.070  0.48  -0.911E+00     40.  0.136E+01  0.305E-01  0.909E-03  0.168E-03   60   3  17   11  13   0   13  14  16    0.000    0.000       0
-  0     48 00:00:36.37   0.7570A  -2.3768  -1.1670   1.1658  0.070  0.48  -0.912E+00     40.  0.136E+01  0.310E-01  0.916E-03  0.168E-03   60   3  16   11  13   0   13  14  16    0.000    0.000       0
-  0     49 00:00:37.13   0.7570A  -2.3768  -1.1511   1.1795  0.069  0.48  -0.913E+00     40.  0.136E+01  0.315E-01  0.925E-03  0.169E-03   60   2  15   11  13   0   16  14  17    0.000    0.000       0
+  0     48 00:00:36.37   0.7570A  -2.3768  -1.1670   1.1658  0.070  0.48  -0.912E+00     40.  0.136E+01  0.310E-01  0.917E-03  0.168E-03   60   3  16   11  13   0   13  14  16    0.000    0.000       0
+  0     49 00:00:37.13   0.7570A  -2.3768  -1.1510   1.1795  0.069  0.48  -0.913E+00     40.  0.136E+01  0.315E-01  0.925E-03  0.169E-03   60   2  15   11  13   0   16  14  17    0.000    0.000       0
   0     50 00:00:37.89   0.7570A  -2.3769  -1.1333   1.1993  0.069  0.49  -0.913E+00     40.  0.136E+01  0.320E-01  0.933E-03  0.169E-03   60   2  14   11  13   0   16  14  17    0.000    0.000       0
   0     51 00:00:38.64   0.7570A  -2.3770  -1.1139   1.2169  0.069  0.49  -0.912E+00     40.  0.136E+01  0.324E-01  0.942E-03  0.169E-03   60   2  13   11  13   0   17  14  17    0.000    0.000       0
@@ -401,5 +401,5 @@
   0     54 00:00:40.92   0.7570A  -2.3772  -1.0760   1.2625  0.069  0.50  -0.910E+00     40.  0.136E+01  0.339E-01  0.970E-03  0.171E-03   60   1  10   13  14   0   17  14  17    0.000    0.000       0
   0     55 00:00:41.67   0.7570A  -2.3773  -1.0746   1.2666  0.069  0.50  -0.910E+00     40.  0.136E+01  0.344E-01  0.980E-03  0.172E-03   60   1  10   13  14   0   17  14  17    0.000    0.000       0
-  0     56 00:00:42.43   0.7570A  -2.3774  -1.0713   1.2691  0.069  0.51  -0.909E+00     40.  0.136E+01  0.349E-01  0.990E-03  0.172E-03   60   0   8   13  14   0   18  14  17    0.000    0.000       0
+  0     56 00:00:42.43   0.7570A  -2.3774  -1.0713   1.2691  0.069  0.51  -0.910E+00     40.  0.136E+01  0.349E-01  0.990E-03  0.172E-03   60   0   8   13  14   0   18  14  17    0.000    0.000       0
   0     57 00:00:43.19   0.7570A  -2.3774  -1.0664   1.2730  0.069  0.51  -0.909E+00     40.  0.136E+01  0.354E-01  0.100E-02  0.173E-03   60   0   8   13  14   0   18  14  17    0.000    0.000       0
   0     58 00:00:43.94   0.7570A  -2.3775  -1.0603   1.2697  0.069  0.55  -0.909E+00     48.  0.136E+01  0.358E-01  0.101E-02  0.173E-03   60   0   7   13  14   0   18  14  17    0.000    0.000       0
@@ -410,22 +410,22 @@
   0     63 00:00:47.73   0.7570A  -2.3779  -1.0611   1.2908  0.069  0.53  -0.910E+00     40.  0.136E+01  0.383E-01  0.105E-02  0.176E-03   60  18   3   14  14   0   19  14  18    0.000    0.000       0
   0     64 00:00:48.49   0.7570A  -2.3780  -1.0641   1.2764  0.069  0.53  -0.910E+00     40.  0.136E+01  0.388E-01  0.106E-02  0.177E-03   60  18   2   14  14   0   19  14  18    0.000    0.000       0
-  0     65 00:00:49.24   0.7570A  -2.3780  -1.0667   1.2565  0.069  0.53  -0.911E+00     40.  0.136E+01  0.393E-01  0.107E-02  0.177E-03   60  18   1   15  14   0   19  14  18    0.000    0.000       0
+  0     65 00:00:49.24   0.7570A  -2.3780  -1.0667   1.2565  0.069  0.53  -0.912E+00     40.  0.136E+01  0.393E-01  0.107E-02  0.177E-03   60  18   1   15  14   0   19  14  18    0.000    0.000       0
   0     66 00:00:50.00   0.7570A  -2.3781  -1.0750   1.2323  0.069  0.53  -0.913E+00     40.  0.135E+01  0.398E-01  0.108E-02  0.178E-03   60  17   0   15  14   0   19  14  18    0.000    0.000       0
   0     67 00:00:50.76   0.7570A  -2.3782  -1.0801   1.2051  0.069  0.53  -0.916E+00     40.  0.135E+01  0.403E-01  0.109E-02  0.178E-03   60  17  19   15  14   0   19  14  18    0.000    0.000       0
   0     68 00:00:51.51   0.7570A  -2.3783  -1.0824   1.1761  0.069  0.53  -0.922E+00     40.  0.135E+01  0.408E-01  0.110E-02  0.178E-03   60  17  19   15  13   0   19  14  18    0.000    0.000       0
   0     69 00:00:52.27   0.7570A  -2.3783  -1.0899   1.1464  0.069  0.53  -0.933E+00     40.  0.135E+01  0.413E-01  0.110E-02  0.179E-03   60  16  17   15  13   0   19  14  18    0.000    0.000       0
-  0     70 00:00:53.03   0.7570A  -2.3784  -1.0938   1.1211  0.069  0.53  -0.974E+00     40.  0.135E+01  0.418E-01  0.111E-02  0.179E-03   60  16  16   15  13   0    6  13   2    0.000    0.000       0
+  0     70 00:00:53.03   0.7570A  -2.3784  -1.0938   1.1212  0.069  0.53  -0.974E+00     40.  0.135E+01  0.418E-01  0.111E-02  0.179E-03   60  16  16   15  13   0    6  13   2    0.000    0.000       0
   0     71 00:00:53.78   0.7570A  -2.3785  -1.0940   1.1570  0.069  0.53  -0.104E+01     40.  0.135E+01  0.423E-01  0.112E-02  0.180E-03   60  16  16   15  13   0    6  13   2    0.000    0.000       0
   0     72 00:00:54.54   0.7570A  -2.3786  -1.0909   1.1893  0.069  0.53  -0.947E+00     40.  0.135E+01  0.427E-01  0.113E-02  0.180E-03   60  15  14   15  13   0    6  13   2    0.000    0.000       0
-  0     73 00:00:55.30   0.7570A  -2.3786  -1.0854   1.2175  0.069  0.53  -0.935E+00     40.  0.135E+01  0.432E-01  0.114E-02  0.180E-03   60  15  14   15  13   0    6  13   2    0.000    0.000       0
-  0     74 00:00:56.06   0.7570A  -2.3787  -1.0783   1.2411  0.069  0.54  -0.938E+00     40.  0.135E+01  0.437E-01  0.115E-02  0.181E-03   60  15  13   15  13   0    6  13   2    0.000    0.000       0
-  0     75 00:00:56.81   0.7570A  -2.3788  -1.0704   1.2598  0.069  0.54  -0.949E+00     40.  0.135E+01  0.441E-01  0.115E-02  0.181E-03   60  14  12   15  13   0    6  13   2    0.000    0.000       0
-  0     76 00:00:57.57   0.7570A  -2.3789  -1.0622   1.2927  0.069  0.54  -0.933E+00     40.  0.135E+01  0.446E-01  0.116E-02  0.182E-03   60  14  11   15  13   0    6  14   3    0.000    0.000       0
-  0     77 00:00:58.33   0.7570A  -2.3789  -1.0538   1.3262  0.070  0.54  -0.920E+00     40.  0.135E+01  0.450E-01  0.117E-02  0.182E-03   60  14  10   15  13   0    6  14   3    0.000    0.000       0
+  0     73 00:00:55.30   0.7570A  -2.3786  -1.0854   1.2176  0.069  0.53  -0.935E+00     40.  0.135E+01  0.432E-01  0.114E-02  0.180E-03   60  15  14   15  13   0    6  13   2    0.000    0.000       0
+  0     74 00:00:56.06   0.7570A  -2.3787  -1.0783   1.2412  0.069  0.54  -0.938E+00     40.  0.135E+01  0.437E-01  0.115E-02  0.181E-03   60  15  13   15  13   0    6  13   2    0.000    0.000       0
+  0     75 00:00:56.81   0.7570A  -2.3788  -1.0704   1.2599  0.069  0.54  -0.949E+00     40.  0.135E+01  0.441E-01  0.115E-02  0.181E-03   60  14  12   15  13   0    6  13   2    0.000    0.000       0
+  0     76 00:00:57.57   0.7570A  -2.3789  -1.0622   1.2927  0.069  0.54  -0.934E+00     40.  0.135E+01  0.446E-01  0.116E-02  0.182E-03   60  14  11   15  13   0    6  14   3    0.000    0.000       0
+  0     77 00:00:58.33   0.7570A  -2.3789  -1.0538   1.3263  0.070  0.54  -0.920E+00     40.  0.135E+01  0.450E-01  0.117E-02  0.182E-03   60  14  10   15  13   0    6  14   3    0.000    0.000       0
   0     78 00:00:59.08   0.7570A  -2.3790  -1.0455   1.3553  0.070  0.54  -0.913E+00     40.  0.135E+01  0.454E-01  0.118E-02  0.182E-03   60  14  10   15  13   0    6  14   3    0.000    0.000       0
   0     79 00:00:59.84   0.7570A  -2.3791  -1.0371   1.3795  0.070  0.54  -0.909E+00     40.  0.135E+01  0.459E-01  0.119E-02  0.183E-03   60  13   8   15  13   0    6  14   3    0.000    0.000       0
-  0     80 00:01:00.60   0.7570A  -2.3791  -1.0287   1.3987  0.070  0.54  -0.907E+00     40.  0.135E+01  0.463E-01  0.120E-02  0.183E-03   60  13   8   15  13   0    6  14   3    0.000    0.000       0
-  0     81 00:01:01.35   0.7570A  -2.3792  -1.0357   1.4133  0.070  0.54  -0.906E+00     40.  0.135E+01  0.467E-01  0.121E-02  0.183E-03   60  13   7   18  13   0    6  14   3    0.000    0.000       0
-  0     82 00:01:02.11   0.7570A  -2.3793  -1.0477   1.4234  0.070  0.54  -0.906E+00     40.  0.135E+01  0.470E-01  0.122E-02  0.183E-03   60  13   6   18  13   0    6  14   3    0.000    0.000       0
+  0     80 00:01:00.60   0.7570A  -2.3791  -1.0287   1.3988  0.070  0.54  -0.907E+00     40.  0.135E+01  0.463E-01  0.120E-02  0.183E-03   60  13   8   15  13   0    6  14   3    0.000    0.000       0
+  0     81 00:01:01.35   0.7570A  -2.3792  -1.0357   1.4134  0.070  0.54  -0.906E+00     40.  0.135E+01  0.467E-01  0.121E-02  0.183E-03   60  13   7   18  13   0    6  14   3    0.000    0.000       0
+  0     82 00:01:02.11   0.7570A  -2.3793  -1.0477   1.4235  0.070  0.54  -0.906E+00     40.  0.135E+01  0.470E-01  0.122E-02  0.183E-03   60  13   6   18  13   0    6  14   3    0.000    0.000       0
   0     83 00:01:02.87   0.7570A  -2.3794  -1.0575   1.4295  0.070  0.54  -0.911E+00     40.  0.135E+01  0.474E-01  0.122E-02  0.183E-03   60  12   5   18  13   0    6  14   3    0.000    0.000       0
   0     84 00:01:03.63   0.7560A  -2.3794  -1.0640   1.4321  0.070  0.55  -0.919E+00     40.  0.135E+01  0.478E-01  0.123E-02  0.183E-03   60  12   4   18  13   0    7  14   3    0.000    0.000       0
@@ -434,7 +434,7 @@
   0     87 00:01:05.89   0.7560A  -2.3797  -1.0652   1.4821  0.070  0.56  -0.895E+00     40.  0.135E+01  0.488E-01  0.125E-02  0.183E-03   60  11   1   17  12   0    7  14   3    0.000    0.000       0
   0     88 00:01:06.65   0.7560A  -2.3797  -1.0716   1.4893  0.070  0.56  -0.892E+00     40.  0.135E+01  0.491E-01  0.125E-02  0.183E-03   60  11   1   17  12   0    7  14   3    0.000    0.000       0
-  0     89 00:01:07.41   0.7560A  -2.3798  -1.0748   1.4926  0.070  0.56  -0.890E+00     40.  0.135E+01  0.495E-01  0.126E-02  0.183E-03   60  10  19   17  12   0    7  14   3    0.000    0.000       0
+  0     89 00:01:07.41   0.7560A  -2.3798  -1.0748   1.4927  0.070  0.56  -0.890E+00     40.  0.135E+01  0.495E-01  0.126E-02  0.183E-03   60  10  19   17  12   0    7  14   3    0.000    0.000       0
   0     90 00:01:08.16   0.7560A  -2.3799  -1.0747   1.4929  0.070  0.57  -0.889E+00     40.  0.135E+01  0.498E-01  0.126E-02  0.183E-03   60  10  19   17  12   0    7  14   3    0.000    0.000       0
-  0     91 00:01:08.92   0.7560A  -2.3800   1.0781   1.4907  0.071  0.57  -0.887E+00     40.  0.135E+01  0.500E-01  0.127E-02  0.184E-03   60  10  18    1   2  14    7  14   3    0.000    0.000       0
+  0     91 00:01:08.92   0.7560A  -2.3800   1.0782   1.4907  0.071  0.57  -0.887E+00     40.  0.135E+01  0.500E-01  0.127E-02  0.184E-03   60  10  18    1   2  14    7  14   3    0.000    0.000       0
   0     92 00:01:09.67   0.7560A  -2.3800   1.0850   1.4868  0.071  0.60  -0.886E+00     46.  0.135E+01  0.503E-01  0.127E-02  0.184E-03   60   9  16    1   2  14    7  14   3    0.000    0.000       0
   0     93 00:01:10.43   0.7560A  -2.3801   1.0912   1.4817  0.071  0.61  -0.885E+00     46.  0.135E+01  0.506E-01  0.128E-02  0.184E-03   60   9  16    1   2  14    7  14   3    0.000    0.000       0